org.apache.felix.metatype

## Class OCD

- java.lang.Object
- - org.apache.felix.metatype.OptionalAttributes
  - - org.apache.felix.metatype.OCD

    public class OCD
    extends OptionalAttributes

The `OCD` class represents the `OCD` element of the meta type descriptor.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`OCD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAttributeDefinition(AD attribute)`
`void` `addIcon(Integer size, String icon)`
`Map` `getAttributeDefinitions()`
`String` `getDescription()`
`Map` `getIcons()`
`String` `getID()`
`MetaData` `getMetadata()`
`String` `getName()`
`void` `setDescription(String description)`
`void` `setId(String id)`
`void` `setMetadata(MetaData metadata)`
`void` `setName(String name)`

### Methods inherited from class org.apache.felix.metatype.OptionalAttributes

`addOptionalAttribute, getOptionalAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OCD

    public OCD()

### Method Detail

#### getID

    public String getID()

#### setId

    public void setId(String id)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### getIcons

    public Map getIcons()

#### addIcon

    public void addIcon(Integer size,
                        String icon)

Parameters:
  `size` -
  `icon` - The icon, either an URL or a string designating a resource which may be a localized string

#### getAttributeDefinitions

    public Map getAttributeDefinitions()

#### addAttributeDefinition

    public void addAttributeDefinition(AD attribute)

#### getMetadata

    public MetaData getMetadata()

#### setMetadata

    public void setMetadata(MetaData metadata)